How can roll back curves in unrolled surface to the original surface in RhinoCommon VB.net?


#1

Hi

I have some curves on the unrolled plane surface. I want to roll the curves back to the original surface in Rhinocommon VB.net

I know I can accomplish this in rhino by command Flow Along Surface. But I want to do it in my plug in for some drawing without add RhinoCurveObject to the document.

I searched the forum and just didn’t find an solution. Hope somebody here can help me out.

Thanks
Youngfe


(Dale Fugier) #2

I am having problems visualizing what you have and what you want to get to. Can you post some sample geometry?


#3

Hi Dale.

There’s a nice class Rhino.Geometry.Unroller can unroll curves. I do need an Roller class.


(Dale Fugier) #4

Have you see the CreateUVCrv and ApplyCrv command (check the help file for details). I this what you want?